/* You can add global styles to this file, and also import other style files */
@import "~ngx-toastr/toastr";
.toolbar {
    position: absolute;
    top: 0;
    left: 0;
    background-image: linear-gradient(325deg, #31154e, #7a2ccb, #823e92);
    color: white;
    width: 100%;
}

.topbar-main {
    padding: 8px 15px;
}

.logo {
    width: 40px;
}

.app-name {
    font-size: 28px;
    margin-left: 8px;
    display: inline-block;
    vertical-align: super;
}

.app-name a {
    color: #ffffff;
    text-decoration: none;
}

body {
    font-family: "Lato", sans-serif;
    background-color: #eaeff2;
    color: #2d353c;
    font-size: 13px;
}

.layout-menu-menu {
    display: block;
    position: static;
    margin: 0;
    overflow: visible;
    width: 100%;
    top: 50px;
    left: 0;
    background-color: #5d0d6b;
}

.layout-menu-container {
    width: 100%;
    padding-left: 32px;
    padding-bottom: 0px;
}

.layout-menu-ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

.layout-menu-ul > li {
    display: inline-block;
    position: relative;
    min-width: 100px;
}

.layout-menu-ul > li > a {
    transition: border-bottom-color 0.3s;
    border-bottom: 2px solid transparent;
    padding: 12px 14px;
    margin-bottom: -4px;
    font-weight: bold;
    font-size: 14px;
}

.layout-menu-container li a {
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: block;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.layout-menu-menu ul > li > a {
    color: white;
    cursor: pointer;
    user-select: none;
}

.layout-menu-menu ul > li > a i {
    vertical-align: middle;
    font-size: 20px;
    color: #ffa22f;
}

.layout-menu-container ul li a span {
    margin-left: 0.3em;
    vertical-align: middle;
}

.layout-main {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    -ms-flex-pack: justify;
    justify-content: space-between;
    min-height: 100vh;
}

.layout-content {
    padding-top: 117px;
    padding: 85px 25px 25px 25px;
    flex: 1 1 auto;
}

.card {
    border-radius: 2px;
    background: #f7f9fa;
    padding: 16px;
    box-sizing: border-box;
    margin-bottom: 16px;
}

.p-grid {
    display: flex;
    flex-wrap: wrap;
    margin-right: -1.0rem;
    margin-left: -1.0rem;
    margin-top: 1.0rem;
}

.p-grid>.p-col, .p-grid>[class*=p-col] {
    box-sizing: border-box;
}

.p-md-12 {
    width: 100%;
}

.p-md-1, .p-md-2, .p-md-3, .p-md-4, .p-md-5, .p-md-6, .p-md-7, .p-md-8, .p-md-9, .p-md-10, .p-md-11, .p-md-12 {
    flex: 0 0 auto;
}

.p-lg-1, .p-lg-2, .p-lg-3, .p-lg-4, .p-lg-5, .p-lg-6, .p-lg-7, .p-lg-8, .p-lg-9, .p-lg-10, .p-lg-11, .p-lg-12, .p-md-1, .p-md-2, .p-md-3, .p-md-4, .p-md-5, .p-md-6, .p-md-7, .p-md-8, .p-md-9, .p-md-10, .p-md-11, .p-md-12, .p-sm-1, .p-sm-2, .p-sm-3, .p-sm-4, .p-sm-5, .p-sm-6, .p-sm-7, .p-sm-8, .p-sm-9, .p-sm-10, .p-sm-11, .p-sm-12, .p-xl-1, .p-xl-2, .p-xl-3, .p-xl-4, .p-xl-5, .p-xl-6, .p-xl-7, .p-xl-8, .p-xl-9, .p-xl-10, .p-xl-11, .p-xl-12 {
    padding: .5rem;
}

h1:first-child, h2:first-child, h3:first-child, h4:first-child, h5:first-child, h6:first-child {
    margin-top: 0;
}

h5 {
    font-size: 1.25rem;
}

h1, h2, h3, h4, h5, h6 {
    margin: 1.5rem 0 1rem 0;
    font-family: inherit;
    font-weight: 600;
    line-height: 1.2;
    color: inherit;
}

.p-field.p-grid, .p-formgrid.p-grid {
    margin-top: 0;
}

.p-field.p-grid .p-col, .p-field.p-grid .p-col-1, .p-field.p-grid .p-col-2, .p-field.p-grid .p-col-3, .p-field.p-grid .p-col-4, .p-field.p-grid .p-col-5, .p-field.p-grid .p-col-6, .p-field.p-grid .p-col-7, .p-field.p-grid .p-col-8, .p-field.p-grid .p-col-9, .p-field.p-grid .p-col-10, .p-field.p-grid .p-col-11, .p-field.p-grid .p-col-12, .p-field.p-grid .p-col-fixed, .p-formgrid.p-grid .p-col, .p-formgrid.p-grid .p-col-1, .p-formgrid.p-grid .p-col-2, .p-formgrid.p-grid .p-col-3, .p-formgrid.p-grid .p-col-4, .p-formgrid.p-grid .p-col-5, .p-formgrid.p-grid .p-col-6, .p-formgrid.p-grid .p-col-7, .p-formgrid.p-grid .p-col-8, .p-formgrid.p-grid .p-col-9, .p-formgrid.p-grid .p-col-10, .p-formgrid.p-grid .p-col-11, .p-formgrid.p-grid .p-col-12, .p-formgrid.p-grid .p-col-fixed {
    padding-top: 0;
    padding-bottom: 0;
}

.p-field {
    margin-bottom: 1rem;
}

.p-md-6 {
    width: 50%;
}

.p-field >label {
    display: inline-block;
    margin-bottom: .5rem;
}

.p-md-5 {
    width: 41.6667%;
}

.p-md-1 {
    width: 8.3333%;
}

.p-md-2 {
    width: 16.6667%;
}

.p-md-3 {
    width: 25%;
}

.p-mb-2 {
    margin-bottom: .5rem !important;
}

.p-mr-2 {
    margin-left: .5rem !important;
}


.alert-danger {
    background: #FFCDD2;
    border: solid #e60017;
    border-width: 0px;
    color: #73000c;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: top;
    padding: 0.5rem 0.5rem;
    margin: 0;
    border-radius: 3px;
}

.p-ai-center {
    align-items: center;
}
.p-jc-between {
    justify-content: space-between;
}
.p-d-flex {
    display: flex!important;
}

.p-m-0 {
    margin: 0!important;
}

.p-input-icon-left > .p-inputtext {
    padding-left: 2rem;
}
.p-inputtext {
    margin: 0;
}

.p-mr-2 {
    margin-right: .5rem!important;
}